package com.hfkj.service.sec;

import com.hfkj.entity.SecRole;

import java.util.List;
import java.util.Map;

/**
 * @className: SecRoleService
 * @author: HuRui
 * @date: 2024/3/26
 **/
public interface SecRoleService {

    /**
     * 编辑数据
     * @param role 数据
     */
    void editData(SecRole role);

    /**
     * 删除
     * @param roleId 角色id
     */
    void delete(Long roleId);

    /**
     * 查询详情
     * @param roleId 角色id
     * @return
     */
    SecRole getDetail(Long roleId);


    /**
     * 查询集合
     * @param param 参数
     * @return
     */
    List<SecRole> getList(Map<String, Object> param);

}
